function [F, V] = agent1(a1, a2, varargin)
    % a1 og a2 - rot X
    % tot høyde = 1
    % a ligger i intv -1 1, -1 bøyer fram 40grader
    
    demo = 0;
    readVgrarginInput( ); % Se nederst
    
    if demo == 0
        
        a1 = -a1*40;
        a2 = -a2*40;
        
        pTopp1 = [0 0 0.5];
        pBunn1 = [0 0 0];
        [F1, V1] = polyQuadOpenCylinder(0.04, 3, pBunn1, pTopp1);
        
        V1 = (rotx(a1) * V1')';
        pTopp1 = (rotx(a1) * pTopp1')';
        
        pTopp2 = [0 0 0.5];
        pBunn2 = [0 0 0];
        [F2, V2] = polyQuadOpenCylinder(0.04, 3, pBunn2, pTopp2);
        
        V2 = (rotx(a2) * V2')';
        
        V2 = V2 + pTopp1;
        
        [F, V] = addPoly(F1, V1, F2, V2);
        
        % Roterer for 2D plott, z-utover, x-høyre, y-opp, view(0, 90)
        V = (rotx(-90) * V')';
        V = (roty(-90) * V')';
        
    else
        
        a1 = a1*40;
        a2 = a2*40;
        
        % Arm 1
        pTopp1 = [0 0 0.5];
        pBunn1 = [0 0 0];
        [F1, V1] = polyQuadOpenCylinder(0.06, 32, pBunn1, pTopp1);
        pTopp1 = (rotx(a1) * pTopp1')';
        
        % Ledd 1
        pTopp2 = [-0.065 0 0];
        pBunn2 = [0.065 0 0];
        [F1b, V1b] = polyQuadCylinderSemiClosed(0.06, 32, 2, 2, pBunn2, pTopp2);
        [F1, V1] = addPoly(F1, V1, F1b, V1b);
        
        % Ledd 2
        pTopp3 = [-0.055 0 0.5];
        pBunn3 = [0.055 0 0.5];
        [F1c, V1c] = polyQuadCylinderSemiClosed(0.06, 32, 2, 2, pBunn3, pTopp3);
        [F1, V1] = addPoly(F1, V1, F1c, V1c);   
        V1 = (rotx(a1) * V1')';
        
        % Arm2   
        pTopp4 = [0 0 0.5];
        pBunn4 = [0 0 0];
        [F2, V2] = polyQuadCylinderSemiClosed(0.05, 32, 2, 2, pBunn4, pTopp4);
        
        V2 = (rotx(a2) * V2')';
        
        V2 = V2 + pTopp1;
        
        [F, V] = addPoly(F1, V1, F2, V2);
        
        % Roterer for 2D plott, z-utover, x-høyre, y-opp, view(0, 90)
        % V = (rotx(-90) * V')';
        % V = (roty(-90) * V')';
        
    end
    
    %%
    
    function readVgrarginInput( )
        while ~isempty(varargin)
            switch varargin{1}
                case 'demo'
                    demo = 1; varargin(1:1) = [];
                otherwise
                    error(['Unexpected option: ' varargin{1}]);
            end
        end
    end
end

% [F, V] = agent1(0, 30); clf; plotPoly(F,V,'dark', 'coo', 1); view(0,90)